import {Route, RouteParameters} from './Route.ts'

/**
 * A very basic route with no parameters or wild-cards.
 * @extends Route
 */
export class SimpleRoute extends Route {
    public match(incoming: string): boolean {
        return incoming.toLowerCase() === this.base.toLowerCase()
    }

    public build_parameters(incoming: string): RouteParameters {
        return {}
    }
}
