import {Join} from './Join.ts'
import {JoinOperator} from '../../types.ts'

/**
 * Query builder class which creates LEFT JOIN clauses.
 * @extends Join
 */
export class LeftJoin extends Join {
    public readonly operator: JoinOperator = 'LEFT JOIN'
}
