import {Join} from './Join.ts'
import {JoinOperator} from '../../types.ts'

/**
 * Query builder class which creates RIGHT JOIN clauses.
 * @extends Join
 */
export class RightJoin extends Join {
    public readonly operator: JoinOperator = 'RIGHT JOIN'
}
